Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.service
Class CardServiceInvalidParameterException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--opencard.core.OpenCardRuntimeException
                              |
                              +--opencard.core.service.CardServiceRuntimeException
                                    |
                                    +--opencard.core.service.CardServiceUsageException
                                          |
                                          +--opencard.core.service.CardServiceInvalidParameterException

public class CardServiceInvalidParameterException
extends CardServiceUsageException

Exception indicating that an invalid parameter was passed to a card service.

See Also:
  Serialized Form

Constructor Summary
`CardServiceInvalidParameterException()` Creates a new exception without detail message.
`CardServiceInvalidParameterException(java.lang.String message)` Creates a new exception with the given detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardServiceInvalidParameterException

    public CardServiceInvalidParameterException()

  Creates a new exception without detail message.

### CardServiceInvalidParameterException

    public CardServiceInvalidParameterException(java.lang.String message)

  Creates a new exception with the given detail message.
  Parameters:
    `message` - a string indicating why this exception is thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD